Bug 49693 - non-gnome apps keep respawning after logon
non-gnome apps keep respawning after logon
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-23 08:24 EDT by Pekka Pietikäinen
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-23 17:18:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Pietikäinen 2001-07-23 08:24:42 EDT
Description of Problem:

Sometimes when I start up gnome, I get a pile of non-gnomified
applications (xemacs, xdvi, acroread) which I used on the
previous session. This would be fine if they were ones I had
left there during the previous session, but they keep 
coming back every time even if I close the applications and save my
session.

I couldn't find an exact way to reproduce this, but it's happened on two
machines so far though. When this happens the applications get listed as
"Thrash" in the "Browse currently running programs" dialog,
yet they never get removed from startup unless they are removed in that
dialog manually (closing the app and saving the session does not work)

Also in the same dialog in session-properties, if you click "remove"
when nothing is selected, the program segfaults (remove the last
one to get nothing selected)
Comment 1 Glen Foster 2001-07-23 17:18:33 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 2 Owen Taylor 2002-08-21 17:16:20 EDT
We've killed gnome-smproxy (the app responsible for restarting 
X11R5 session managed apps) for GNOME2 and only support X11R6
session management, so this shouldn't be a problem any more.

Note You need to log in before you can comment on or make changes to this bug.